<?php

$user = elgg_get_page_owner_entity();

$num_display = sanitize_int($vars['entity']->num_display, false);
// set default value for display number
if (!$num_display) {
	$num_display = 8;
}

$options = array(
	'limit' => $num_display,
	'pagination' => true,
);

$options['subject_guid'] = elgg_get_page_owner_guid();

if (!$user || !elgg_instanceof($user, 'user')) {
	register_error(elgg_echo('profile:notfound'));
	forward();
}

$title = $user->name;

$hypewall = '';

if (elgg_is_logged_in() && elgg_is_active_plugin('messageboard') && elgg_get_logged_in_user_guid() != elgg_get_page_owner_guid()) {
	$hypewall = elgg_view_form('messageboard/add', ['name' => 'elgg-messageboard']);
}
else {
	if (elgg_is_active_plugin('hypeWall')) { 
                $hypewall = elgg_view('widgets/wall/content');
            } else {
				if (elgg_is_active_plugin('thewire')) {
					$hypewall = elgg_view_form('thewire/add');
				}
			}
}

//Messageboard
if (elgg_is_active_plugin('messageboard')) {
$mod_params = elgg_view('widgets/messageboard/content', array('class' => 'elgg-module-highlight'));
$messageboard = elgg_view_module('featured',  elgg_view_icon('clipboard') .elgg_echo('board:messages'), $mod_params);}

$activity = elgg_list_river($options);

if (!$activity) {
	$activity = elgg_view('output/longtext', array('value' => elgg_echo('profile:activity:none')));
}

$body = elgg_view_layout('two_sidebar', array(
	'content' => $hypewall . $messageboard . $activity,
	'title' => $title,
));

echo elgg_view_page($title, $body);
