<?php
/**
 * Page Layout
 *
 * Contains CSS for the page shell and page layout
 *
 * Default layout: 990px wide, centered. Used in default page shell
 *
 * @package Elgg.Core
 * @subpackage UI
 */
?>
/* <style> /**/

.elgg-page-default .elgg-page-header > .elgg-inner {
	width:1090px;
	margin:0 auto;
}

.elgg-page-default .elgg-page-body > .elgg-inner {
	width:1090px;
	margin:0 auto;
}

.elgg-page-footer {
	width:1090px;
	margin:10px auto;
}

.elgg-page-default .elgg-page-footer > .elgg-inner {
	margin-left:181px;
	padding:8px;
	text-align:right;
}

.elgg-page-footer > .elgg-inner:after {
	display:block;
	content:'.';
	clear:both;
	visibility:hidden;
	height:0;
}

.elgg-page-topbar {
	background-color: #3b5998;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
	position:fixed;
	height:38px;
	left:0;
	right:0;
	z-index:10000;
	min-height:50px;
	margin-bottom:20px;
	border:1px solid transparent;
}

.elgg-page-topbar > .elgg-inner {
	padding-top:8px;
	padding-bottom:8px;
	width:1091px;
	height:35px;
	margin:0 auto;
	position:relative;
}

.elgg-page-topbar~.elgg-page-body {
	padding-top:52px;
}

.elgg-system-messages {
	position:fixed;
	top:50px;
	right:20px;
	max-width:500px;
	z-index:1000;
}

.elgg-system-messages li {
	margin-top:10px;
}

.elgg-system-messages li p {
	margin:0;
}

.elgg-page-header {
	position:relative;
	background-color: #3b5998;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
    height: 82px;
}

.elgg-page-header > .elgg-inner {
	position:relative;
}

.elgg-layout {
	min-height:360px;
}

.elgg-layout-one-column {
	padding:10px 0;
}

.elgg-sidebar {
	position:relative;
	padding: 0px;
	float:left;
	width:200px;
	min-height:360px;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
    margin-right: 20px;
}

.elgg-sidebar-alt {
	position:relative;
	float:right;
	width:244px;
	margin-left:20px;
	min-height:360px;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
	font-size: 12px;
}

.elgg-main {
	position:relative;
	min-height:360px;
    background: #edf0f5;
    border-color: #e7e7e7;
	padding: 10px;
}

.elgg-layout-two-sidebar > .elgg-body, .elgg-layout-one-sidebar > .elgg-body {
	margin-top: 10px;
}

.elgg-layout > .elgg-body > .elgg-head {
	padding:5px;
	margin-bottom:10px;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

.elgg-page-footer {
	position:relative;
	color:#999;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

.elgg-page-footer a:hover {
	color:#666;
}
