<?php
/**
 * Navigation
 *
 * @package Elgg.Core
 * @subpackage UI
 */
?>
/* <style> /**/

::-webkit-scrollbar {
	width:10px;
	height:10px;
}

::-webkit-scrollbar-track-piece {
	background-color:#EEE;
	-webkit-border-radius:0;
	-webkit-border-bottom-right-radius:8px;
	-webkit-border-bottom-left-radius:8px;
}

::-webkit-scrollbar-thumb:vertical {
	height:50px;
	background-color:#999;
	-webkit-border-radius:8px;
}
::-webkit-scrollbar-thumb:horizontal {
	width:50px;
	background-color:#999;
	-webkit-border-radius:8px;
}

.elgg-menu > li > a:hover, .elgg-menu > li > a {
	text-decoration:none
}

.elgg-menu-owner-block li > a > .elgg-icon, .elgg-menu-extras li > a > .elgg-icon, .elgg-menu-page li > a > .elgg-icon, .elgg-menu-composer li > a > .elgg-icon {
	*margin-left:-20px;
	margin-right:10px;
}

.elgg-pagination {
	display:inline-block;
	padding-left:0;
	margin:20px 0;
	border-radius:4px;
}

.elgg-pagination > li {
	display:inline;
}

.elgg-pagination > li > a, .elgg-pagination > li > span {
	position:relative;
	float:left;
	padding:6px 12px;
	margin-left:-1px;
	line-height:1.428571429;
	text-decoration:none;
	background-color:#fff;
	border:1px solid #ddd;
}

.elgg-pagination > li:first-child > a, .elgg-pagination > li:first-child > span {
	margin-left:0;
	border-bottom-left-radius:4px;
	border-top-left-radius:4px;
}

.elgg-pagination > li:last-child > a, .elgg-pagination > li:last-child > span {
	border-top-right-radius:4px;
	border-bottom-right-radius:4px;
}

.elgg-pagination > li > a:hover, .elgg-pagination > li > a:focus, .elgg-pagination > li > span:focus {
	background-color:#eee;
}

.elgg-pagination > .elgg-state-selected > span {
	z-index:2;
	color:#fff;
	cursor:default;
	background-color:#428bca;
	border-color:#428bca;
}

.elgg-tabs {
	border-bottom:1px solid #D8DFEA;
	display:block;
	width:100%;
	padding-left:15px;
}

.elgg-tabs > li {
	margin:2px 2px -1px 0;
	display:inline-block;
	background:#D8DFEA;
	border:1px solid #D8DFEA;
	border-bottom:0;
}

.elgg-tabs > :hover {
	background:#627AAD;
	border:1px solid #627AAD;
	border-bottom:0;
}

.elgg-tabs > li > a {
	font-size:13px;
	font-weight:700;
	text-align:center;
	padding:3px 11px 4px;
	display:block;
}

.elgg-tabs > :hover > a {
	color:#fff;
	text-decoration:none;
}

.elgg-tabs > .elgg-state-selected {
	border:1px solid #D8DFEA;
	border-bottom:0;
	margin-top:0;
}

.elgg-tabs > .elgg-state-selected > a, .elgg-tabs > .elgg-state-selected:hover > a {
	background:#fff;
	color:#333;
	padding:5px 10px 4px;
}

.elgg-breadcrumbs {
	padding:8px 15px;
	margin-bottom:20px;
	list-style:none;
	background-color:#f5f5f5;
	border-radius:4px;
	max-width:440px;
}

.elgg-breadcrumbs > li {
	display:inline-block;
	color:#999;
}

.elgg-breadcrumbs > li+li:before {
	padding:0 5px;
	color:#ccc;
	content:"/\00a0";
}

.elgg-breadcrumbs > li > a {
	display:inline-block;
}

.elgg-breadcrumbs > li > a:hover {
	color:#0054a7;
	text-decoration:underline;
}

.elgg-menu-topbar {
	float:left;
}

.elgg-menu-topbar > li {
	float:left;
	position:relative;
}

.elgg-menu-topbar > li > a {
	color:#fff;
	display:block;
	font-weight:700;
	height:35px;
}

.elgg-menu-topbar-default > li > a {
	padding:8px 4px 0;
	margin:0 1px;
}

.elgg-menu-topbar-default > li > a:hover {
	background-color:transparent;
	color:#ccc;
}

.elgg-menu-topbar-alt {
	float:right;
	margin-right:1px;
}

.elgg-menu-topbar-alt > li > a {
	padding:8px 7px 0;
}

.elgg-menu-topbar-alt > li > a:hover {
	background-color:transparent;
	color:#eee;
}

.elgg-menu-topbar .elgg-menu-parent:after {
	content:" \25BC ";
	font-size:smaller;
}

.elgg-menu-topbar .elgg-child-menu {
	background:#fff;
	background-color:#fff;
	border:1px solid rgba(0,0,0,.15);
	box-shadow:0 6px 12px rgba(0,0,0,.176);
	margin-right:-1px;
	margin-top:-1px;
	min-width:200px;
	padding:4px 0;
	position:absolute;
	right:0;
	top:100%;
	display:none;
	z-index:1
}

.elgg-menu-topbar .elgg-child-menu.elgg-state-active {
	display:block;
}

.elgg-menu-topbar .elgg-child-menu > li > a {
	display:block;
	padding:10px;
	clear:both;
	font-weight:400;
	line-height:1.428571429;
	color:#333;
	white-space:nowrap;
}

.elgg-menu-topbar .elgg-child-menu > li > a:hover {
	color:#fff;
	text-decoration:none;
	background-color:#B1BCCE;
}

.elgg-menu-topbar > li > .elgg-menu-opened, .elgg-menu-topbar > li > .elgg-menu-opened:hover {
	border-bottom:0;
	color:#ccc;
	position:relative;
	z-index:2;
}

.elgg-menu-site:after {
	content:'.';
	clear:both;
	display:block;
	height:0;
	line-height:0;
}

.elgg-menu-site {
	background:#ECEFF5;
}

.elgg-menu-site > li {
	float:none;
}

.elgg-menu-site > li > a {
	padding:8px 10px;
}

.elgg-menu-site > li > a:hover {
	background:#fff;
}

.elgg-menu-title {
	float:right;
}

.elgg-menu-title > li {
	display:inline-block;
	margin-left:4px;
}

.elgg-menu-filter {
	border-bottom:1px solid #ddd;
	display:block;
	padding-left:10px;
}

.elgg-menu-filter:after {
	content:'.';
	display:block;
	clear:both;
	visibility:hidden;
	height:0;
	line-height:0;
}

.elgg-menu-filter > li {
	float:left;
	margin-bottom:-1px;
}

.elgg-menu-filter > li > a {
	margin-right:2px;
	padding:10px 15px;
	line-height:1.428571429;
	border:1px solid transparent;
	border-radius:4px 4px 0 0;
}

.elgg-menu-filter > li > a:hover {
	border-color:#eee #eee #ddd;
	background-color:#eee;
}

.elgg-menu-filter .elgg-state-selected a {
	color:#555;
	cursor:default;
	background-color:#fff;
	border:1px solid #ddd;
	border-bottom-color:transparent;
}

.elgg-menu-page {
	border-bottom:1px solid #EEE;
	margin-bottom:7px;
	padding-bottom:7px;
}

.elgg-menu-page li > a {
	display:block;
	color:#333;
	margin-bottom:1px;
	padding:5px;
}

.elgg-menu-page li > a:hover {
	background-color:#f5f5f5;
}

.elgg-menu-page li.elgg-state-selected > a {
	background-color:#D8DFEA;
	font-weight:700;
}

.elgg-menu-page .elgg-child-menu {
	display:none;
	margin-left:15px;
}

.elgg-menu-page .elgg-menu-closed:before, .elgg-menu-page .elgg-menu-opened:before {
	display:inline-block;
	padding-right:4px;
}

.elgg-menu-page .elgg-menu-closed:before {
	content:"\002B";
}

.elgg-menu-page .elgg-menu-opened:before {
	content:"\002D";
}

.elgg-menu-hover {
	display:none;
	position:absolute;
	z-index:10000;
	width:165px;
	border:solid 1px;
	border-color:#E5E5E5 #999 #999 #E5E5E5;
	background-color:#FFF;
	-webkit-box-shadow:2px 2px 6px rgba(0,0,0,.5);
	-moz-box-shadow:2px 2px 6px rgba(0,0,0,.5);
	box-shadow:2px 2px 6px rgba(0,0,0,.5);
}

.elgg-menu-hover > li {
	border-bottom:1px solid #ddd;
}

.elgg-menu-hover > li:last-child {
	border-bottom:0;
}

.elgg-menu-hover .elgg-heading-basic {
	display:block;
}

.elgg-menu-hover a {
	padding:10px;
	font-size:92%;
}

.elgg-menu-hover a:hover {
	background:#ccc;
}

.elgg-menu-hover-admin a {
	color:red;
}

.elgg-menu-hover-admin a:hover {
	color:#fff;
	background-color:red;
}

.elgg-menu-footer > li, .elgg-menu-footer > li > a {
	color:#999;
	display:inline-block;
}

.elgg-menu-footer > li:after {
	content:" \00B7 ";
	padding:0 4px;
}

.elgg-menu-footer-default {
	float:right;
}

.elgg-menu-footer-alt {
	float:left;
}

.elgg-menu-entity {
	float:right;
	margin-left:15px;
	font-size:90%;
	color:#aaa;
}

.elgg-menu-entity > li {
	display:inline-block;
	margin-left:15px;
}

.elgg-menu-entity > li > a {
	color:#aaa;
}

.elgg-menu-owner-block li > a {
	border-bottom:1px solid #D8DFEA;
	padding:5px;
}

.elgg-menu-owner-block li > a:hover {
	background-color:#f5f5f5;
	color:#555
}

.elgg-menu-owner-block .elgg-state-selected > a, .elgg-menu-owner-block .elgg-state-selected > a:hover {
	background-color:#B1BCCE;
	color:#fff;
}

.elgg-menu-owner-block .elgg-menu > li > a {
	padding-left:44px;
}

.elgg-menu-longtext {
	float:right;
}

.elgg-menu-river {
	color:#888;
	display:inline-block;
	margin:3px 0 0 -3px;
}

.elgg-menu-river > li {
	display:inline;
}

.elgg-menu-river > li:before {
	content:" \00B7 ";
	display:inline-block;
	margin:0 3px;
}

.elgg-menu-river > li > a {
	color:#6D84B4;
	display:inline;
}

.elgg-menu-river > li > a:hover {
	text-decoration:underline;
}

.elgg-menu-extras > li > a {
	padding:5px;
}

.elgg-menu-extras > li > a:hover {
	text-decoration:underline;
}

.elgg-menu-composer {
	display:inline-block;
	height:22px;
}

.elgg-menu-composer > li {
	font-weight:700;
	margin-left:10px;
}

.elgg-menu-composer > li > a {
	line-height:16px;
	padding-left:20px;
}

.elgg-menu-composer > li > a:hover {
	text-decoration:underline;
}

.elgg-menu-composer > li.ui-state-active > a {
	cursor:default;
	color:#000;
	text-decoration:none;
}

.elgg-menu-composer > .ui-state-active > a:before, .elgg-menu-composer > .ui-state-active > a:after {
	position:absolute;
	display:block;
	border-width:8px;
	border-style:solid;
	content:" ";
	height:0;
	width:0;
	left:0;
}

.elgg-menu-composer > .ui-state-active > a:before {
	top:11px;
	border-color:transparent transparent #B4BBCD;
}

.elgg-menu-composer > .ui-state-active > a:after {
	top:12px;
	border-color:transparent transparent #fff;
}