<?php
/**
 * CSS typography
 *
 * @package Elgg.Core
 * @subpackage UI
 */
?>
/* <style> /**/

body {
	font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;
	font-size:14px;
	line-height:1.428571429;
	color:#333;
    background: #eee;
}

a {
	color:#428bca;
	text-decoration:none;
	-webkit-transition:all .2s linear;
	-moz-transition:all .2s linear;transition:all .2s linear;
}

a:active, a:hover {
	color:#005580;
	text-decoration:underline;
	outline:0;
}

pre, code {
	font-family:Monaco,Menlo,Consolas,"Courier New",monospace;
	font-size:12px;
	background:#EBF5FF;
	color:#000;
	overflow:auto;
	overflow-x:auto;
	white-space:pre-wrap;
	word-wrap:break-word;
}

pre,blockquote {
	border:1px solid #999;
	page-break-inside:avoid;
}

h1,h2,h3,h4,h5,h6 {
	font-weight:700;
	color:#333;
}

h1,h2,h3,h4,h5,h6,.h1,.h2,.h3,.h4,.h5,.h6 {
	font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;
	font-weight:500;
	line-height:1.1;
}

h1 small,h2 small,h3 small,h4 small,h5 small,h6 small,.h1 small,.h2 small,.h3 small,.h4 small,.h5 small,.h6 small {
	font-weight:400;
	line-height:1;
	color:#999;
}

h4,h5,h6 {
	margin-top:10px;
	margin-bottom:10px;
}

h1,.h1 {
	font-size:30px;
}

h2,.h2 {
	font-size:30px;
}

h3,.h3 {
	font-size:24px;
}

h4,.h4 {
	font-size:18px;
}

h5,.h5 {
	font-size:14px;
}

h6,.h6 {
	font-size:12px;
}

h1 small,.h1 small {
	font-size:24px;
}

h2 small,.h2 small {
	font-size:18px;
}

h3 small,.h3 small,h4 small,.h4 small {
	font-size:14px;
}

button,input,select,textarea {
	margin:0;
	font-family:inherit;
	font-size:100%;
}

button,input {
	line-height:normal;
}

button,select {
	text-transform:none;
}

button,html input[type=button],input[type=reset],input[type=submit]{
	cursor:pointer;
	-webkit-appearance:button;
}

button[disabled],html input[disabled]{
	cursor:default;
}

input[type=checkbox],input[type=radio]{
	padding:0;
	box-sizing:border-box;
}

input[type=search]{
	-webkit-box-sizing:content-box;
	-moz-box-sizing:content-box;
	box-sizing:content-box;
	-webkit-appearance:textfield;
}

input[type=search]::-webkit-search-cancel-button,input[type=search]::-webkit-search-decoration {
	-webkit-appearance:none;
}

button::-moz-focus-inner,input::-moz-focus-inner {
	padding:0;
	border:0;
}

textarea {
	overflow:auto;
	vertical-align:top;
}

table {
	border-collapse:collapse;
	border-spacing:0;
}

p {
	margin-bottom:15px;
}

p:last-child {
	margin-bottom:0;
}

dt {
	font-weight:700;
}

dd {
	margin:0 0 1em 1em;
}

code {
	padding:2px 3px;
}

pre {
	padding:3px 15px;
	margin:0 0 15px;
	line-height:1.3em;
}

blockquote {
	padding:3px 15px;
	margin:0 0 15px;
	background:#EBF5FF;
	border:0;
	-webkit-border-radius:4px;
	-moz-border-radius:4px;
	border-radius:4px;
}

.elgg-monospace {
	font-family:Monaco,"Courier New",Courier,monospace;
}

.elgg-heading-site, .elgg-heading-site:hover {
	font-size:2em;
	line-height:1.4em;
	color:#fff;
	text-shadow:0 0 1px #627AAD;
	text-decoration:none;
}

.elgg-heading-main {
	float:left;
	max-width:530px;
	margin-right:10px;
}

.elgg-heading-basic {
	color:#0054A7;
	font-size:1.2em;
	font-weight:700;
}

.elgg-subtext {
	color:#666;
}

.elgg-output ul,ol {
	margin:0 1.5em 1.5em 0;
	padding-left:1.5em;
}

.elgg-output ul {
	list-style-type:disc;
}

.elgg-output ol {
	list-style-type:decimal;
}

.elgg-output table {
	border:1px solid #ccc;
}

.elgg-output table td {
	border:1px solid #ccc;
	padding:3px 5px;
}

.elgg-output img {
	max-width:100%;
}