/**
 * CSS elggBook theme
 *
 * @package elggBookTheme
 * @subpackage UI
 */
/* <style> /**/

.elgg-icon{
	vertical-align:middle;
}

a:active, a:hover {
    text-decoration: none;
}

.elgg-menu-page li > a img {
    padding-right: 10px;
    vertical-align: middle;
    width: 20px;
    height: 20px;
}

dl,dt,dd {
	margin:0;
	padding:0;
}

.elgg-profile{
	display:block;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
	padding: 10px;
}

.elgg-profile > dt {
	float:left;
	width:auto;
	font-weight:700;
	color:#999;
	padding:10px;
}

.elgg-profile > dd {
	padding:10px;
}

.elgg-profile >dd~dd {
	border-top:1px solid #E9E9E9;
}

.elgg-profile > dd+dd {	
    padding-left:0;
    margin-left:120px;
}

#profile-details.elgg-body.pll {
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

.elgg-form, .elgg-content.clearfix {
	padding: 10px;
    margin: 10px auto;
}

img {
	max-width:100%;
}

.elgg-river-attachments.clearfix > .elgg-avatar-large > a > img {
	width: 250px;
}

#groups-tools > .elgg-module {
	width:229px;
}

#elggbook-topbar-logo {
	margin-top:-4px;
	font-size:20px;
	color:#fff;
	text-shadow:0 0 1px #add8e6;
	text-align:center;
}

#elggbook-topbar-logo:hover {
	margin-top:-4px;
	font-size:20px;
	color:#000;
	text-shadow:0 0 1px #add8e6;
	text-align:center;
}

.elgg-form-small input, .elgg-form-small textarea {
	font-size: 11px;
}

.elgg-image-block-small > .elgg-image {
	margin-right: 5px;
}

.ui-tabs-hide {
	display: none;
}

.messageboard-input {
	margin-bottom:5px;
}

.elgg-attachment-description {
	margin-top:5px;
}

#thewire-form-composer #thewire-textarea { 
    margin-top:0;
}

.messageboard-input {
	height:60px;
}

.elgg-form-profile-edit {
	max-width:100%;
}

div.message {
	min-height:20px;
	padding:9px;
	background-color:#f5f5f5;
	border:1px solid #e3e3e3;
	border-radius:3px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
}

.well {
	min-height:20px;
	padding:19px;
	margin-bottom:20px;
	background-color:#f5f5f5;
	border:1px solid #e3e3e3;
	border-radius:4px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
}

.panel {
	margin-bottom:20px;
	border:1px solid transparent;
	border-radius:4px;
	-webkit-box-shadow:0 1px 1px rgba(0,0,0,.05);
	box-shadow:0 1px 1px rgba(0,0,0,.05);
}

.panel-body {
	padding:15px;
}

.panel-body:before, .panel-body:after {
	display:table;
	content:" ";
}

.panel-body:after {
	clear:both;
}

.panel-body:before, .panel-body:after {
	display:table;content:" ";
}

.panel-body:after {
	clear:both;
}

.panel > .list-group {
	margin-bottom:0;
}

.panel > .list-group .list-group-item {
	border-width:1px 0;
}
	
.panel > .list-group .list-group-item:first-child {
	border-top-right-radius:0;
	border-top-left-radius:0;
}

.panel > .list-group .list-group-item:last-child {
	border-bottom:0;
}

.panel-heading+.list-group .list-group-item:first-child {
	border-top-width:0;
}

.panel > .table {
	margin-bottom:0;
}

.panel > .panel-body+.table {
	border-top:1px solid #ddd;
}

.panel-heading {
	color:#fff;
	padding:10px 15px;
	border-bottom:1px solid transparent;
    border-top-right-radius:3px;
	border-top-left-radius:3px;
}

.panel-title {
	margin-top:0;
	margin-bottom:0;
	font-size:16px;
}

.panel-title > a {
	color:inherit;
}

.panel-footer {
	padding:10px 15px;
	background-color:#f5f5f5;
	border-top:1px solid #ddd;
	border-bottom-right-radius:3px;
	border-bottom-left-radius:3px;
}
	
.panel-group .panel {
	margin-bottom:0;
	overflow:hidden;
	border-radius:4px;
}

.panel-group .panel+.panel {
	margin-top:5px;
}

.panel-group .panel-heading {
	border-bottom:0;
}

.panel-group .panel-heading+.panel-collapse .panel-body {
	border-top:1px solid #ddd;
}

.panel-group .panel-footer {
	border-top:0;
}

.panel-group .panel-footer+.panel-collapse .panel-body {
	border-bottom:1px solid #ddd;
}

.panel-default {
	border-color:#ddd;
}

.panel-default > .panel-heading {
	color:#333;
	background-color:#f5f5f5;
	border-color:#ddd;
}

.panel-default > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#ddd;
}

.panel-default > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#ddd;
}

.panel-primary {
	border-color:#428bca;
}

.panel-primary > .panel-heading {
	color:#fff;
	background-color:#428bca;
	border-color:#428bca;
}

.panel-primary > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#428bca;
}

.panel-primary > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#428bca;
}

.panel-success {
	border-color:#d6e9c6;
}

.panel-success > .panel-heading {
	color:#468847;
	background-color:#dff0d8;
	border-color:#d6e9c6;
}

.panel-success > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#d6e9c6;
}

.panel-success > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#d6e9c6;
}

.panel-warning {
	border-color:#fbeed5;
}

.panel-warning > .panel-heading {
	color:#c09853;
	background-color:#fcf8e3;
	border-color:#fbeed5;
}

.panel-warning > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#fbeed5;
}

.panel-warning > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#fbeed5;
}

.panel-danger {
	border-color:#eed3d7;
}

.panel-danger > .panel-heading {
	color:#b94a48;
	background-color:#f2dede;
	border-color:#eed3d7;
}

.panel-danger > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#eed3d7;
}

.panel-danger > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#eed3d7;
}

.panel-info {
	border-color:#bce8f1;
}

.panel-info > .panel-heading {
	color:#3a87ad;
	background-color:#d9edf7;
	border-color:#bce8f1;
}

.panel-info > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#bce8f1;
}

.panel-info > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#bce8f1;
}

.elgg-gallery > li {
    padding: 10px;
}

.elgg-menu-content.ckeditor-toggle-editor.elgg-longtext-control.hidden {
	display: block;
}

.hidden.elgg-likes.elgg-module.elgg-module-popup.elgg-state-active.elgg-state-popped {
	width: 500px;
    margin: 0 auto;
}

.elgg-sidebar .elgg-search {
    display: none;
}

.site-logo {
    display: none;
}

/* ***************************************
	TOPBAR MENU DROPDOWN
*****************************************/
.elgg-topbar-dropdown {
	padding-bottom: 8px; /* forces button to reach bottom of topbar */
}
.elgg-menu-topbar > li > .elgg-topbar-dropdown:hover {
	color: #EEE;
	cursor: default;
}
.elgg-menu-topbar-alt ul {
	position: absolute;
	display: none;
	background-color: #FFF;
	border: 1px solid #DEDEDE;
	text-align: left;
	top: 33px;
	margin-left: -100px;
	width: 180px;

	border-radius: 0 0 3px 3px;
	box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.25);
}
.elgg-menu-topbar-alt li ul > li > a {
	text-decoration: none;
	padding: 10px 20px;
	background-color: #FFF;
	color: #444;
}
.elgg-menu-topbar-alt li ul > li > a:hover {
	background-color: #F0F0F0;
	color: #444;
}
.elgg-menu-topbar-alt > li:hover > ul {
	display: block;
}
.elgg-menu-item-account > a:after {
	content: "\bb";
	margin-left: 6px;
}

/* ***************************************
	HYPEWALL & INTERRACTIONS
*****************************************/
.interactions-component .elgg-form .elgg-foot {
    float: right;
}
.elgg-menu-wall-filter > li { 
    display: inline-block; 
	margin: 0 2px !important;
}
.elgg-menu-wall-filter > li a { 
   font-weight: 900; 
   margin: 5px 2px !important;
}
.elgg-menu-wall-filter > li.elgg-state-selected a, .elgg-menu-wall-filter > li a:hover { 
   padding: 5px; 
   border-radius: 0; 
   margin: 0; 
   color: #008fb4 !important;
}
.wall-icon {
	margin: 0 5px;
}
.wall-icon.wall-icon-status:before { content: "\f130" !important; }
.wall-icon.wall-icon-content:before { content: "\f1e0" !important; }
.wall-container { 
   margin: 0px !important; 
   background: #ffffff; 
}
.wall-bubble .elgg-foot {
	width: 100%;
	clear:both;
}
.wall-bubble .categories {
	width: 100%;
	clear: both;
}
.elgg-form-blog-save div {
    clear: both!important;
    margin-bottom: 10px!important;
}
.elgg-form-blog-save div.cke_inner {
    width: 100%!important;
}
.wall-container form label {
	float: none !important;
	 margin-right: 10px!important;
}
.wall-container form .wall-bar-controls > li input, .wall-container form .wall-bar-controls > li select { 
    margin: 0px 3px 3px 0 !important; 
}
.wall-container .elgg-input-spacer { 
    display: block !important; 
}
.wall-post > .elgg-body { 
    padding-left: 0px !important; 
	padding-right: 0px !important;
	font-size: 80%;
	width: auto;
    float: none;
	overflow: visible;
}
.wall-post > .elgg-body .wall-bubble { 
	padding: 0px !important;
	margin-left: 0 !important;
    border: 1px solid #e6e6e6 !important;
	font-size: 15px; 
}
.wall-post > .elgg-body .wall-bubble::before {
    border-color: transparent #dcdcdc transparent transparent !important;
	margin-left: -15px !important;
}
.wall-container {
    margin: 0px 0px 20px 15px !important;
    padding: 0 !important;
	border: 0 !important;
}
.elgg-river-layout .wall-container {
    margin: 20px 0 20px 15px !important;
}
.wall-container form {
}
.wall-poster-avatar, .wall-owner-avatar {
    -webkit-border-radius: 0px !important;
    -moz-border-radius: 0px !important;
    -ms-border-radius: 0px !important;
    -o-border-radius: 0px !important;
    border-radius: 0px !important;
    border: 0 !important;
    padding-top: 3px;
}
.wall-container form fieldset {
    width: 100%;
}
.wall-container form textarea {
    background: #f2f2f2 !important;
	border: none;
    border-top: 1px solid #dcdcdc;
    border-bottom: 1px solid #dcdcdc;
	margin-top: 15px;
}
.elgg-menu-wall-filter {
	font-size: 90% !important;
    margin: 0px !important;
	border: 1px solid #dcdcdc !important;
	border-bottom: 0 !important;
}
.wall-post > .elgg-image {
    width: 50px !important;
	z-index: 1;
}
.wall-status-counter {
    margin-bottom: 0px !important;
    font-size: 100%;
}
.wall-form select {
    margin: 0!important;
    float: none !important;
	width: auto;
}
.wall-container form label {
    margin-right: 10px !important;
}
.wall-bar-control-access {
	float: right;
}
.elgg-menu-interactions > li {
    font-size: 18px;
}

.sidebar-button-nav {
	display: none;
}

.sidebar-alt-panel {
	display: none;
	position:relative;
	min-height:360px;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

@media (max-width: 1030px) {
    .elgg-page-topbar > .elgg-inner {
        width: auto;
    }
	.elgg-page-default .elgg-page-body > .elgg-inner {
        width: auto;
    }
	.elgg-page-footer {
        width: auto;
    }
	.elgg-sidebar-alt {
        margin-left: 10px;
        width: 181px;
    }
	.elgg-sidebar {
        margin-right: 10px;
        width: 181px;
    }
	.elgg-layout-two-sidebar > .elgg-body, .elgg-layout-one-sidebar > .elgg-body {
        padding: 0 10px 0 0;
    }
	.elgg-main {
       padding: 0px;
    }
}
@media (max-width: 820px) {	
	#profile-details {
        padding: 5px;
    }
}
@media (max-width: 766px) {
    .elgg-main {
        width: 100%;
    }
	.elgg-layout-two-sidebar > .elgg-body, .elgg-layout-one-sidebar > .elgg-body {
        padding: 10px 0;
        width: 100%;
    }
	.elgg-page-default .elgg-page-body > .elgg-inner {
        padding: 10px;
    }
	.elgg-sidebar-alt {
		display: none;
    }
	.sidebar-alt-panel {
	    display: block;
        margin: 10px auto 10px;
        width: 100%;
    }
	.elgg-sidebar {
        margin: 0px;
        width: 100%;
        padding: 0;
		min-height: 30px;
    }
	.elgg-image-block.clearfix.elgg-river-item > .elgg-image {
        margin-right: 0px;
        position: absolute;
    }
	.elgg-river-summary, .elgg-river-timestamp {
        margin-left: 50px;
    }
	.sidebar-menu-panel {
	    border-top: 2px solid #ccc;
		display: none;
		padding: 5px;
    }
	.sidebar-button-nav {
	    text-align: right;
	    display: inline-block;
		padding: 5px;
		min-height: 30px;
    }
	.elgg-page-topbar .elgg-search {
        display: none;
    }
	.elgg-sidebar .elgg-search {
        display: block;
    }
	#elggbook-topbar-logo {
        display: none;
    }
	.site-logo {
		display: block;
		width: 30px;
        height: 30px;
        float: left;
        padding: 5px;
	}
	.elgg-search {
        display: inline-block;
        float: right;
		width: 220px;
		padding: 5px;
    }
	.elgg-search input[type="text"] {
        width: auto;
        padding: 5px;
        display: inline-block;
        float: left;
    }
	.elgg-search input[type="submit"] {
        display: inline-block;
    }
}

@media (max-width: 600px) {
.elgg-river-item {
        background: none;
        padding: 0px;
    }
}

@media (max-width: 520px) {
	body {
        font-size: 13px;
    }
	.elgg-page-default .elgg-page-body > .elgg-inner {
        padding: 5px;
    }
    .elgg-page-topbar {
        height: 30px;
        min-height: 30px;
        font-size: 12px;
		margin-bottom: 0px;
    }
    .elgg-page-topbar > .elgg-inner {
        padding-top: 0px;
        padding-bottom: 0px;
    }
	.elgg-menu-topbar > li > a {
        height: 20px;
    }
	.elgg-page-topbar ~ .elgg-page-body {
        padding-top: 40px;
    }
	.elgg-menu-interactions > li {
        font-size: 13px;
    }
	.elgg-menu-interactions > li a {
        padding: 5px;
        line-height: 15px;
    }
	.elgg-list > li {
        padding: 5px;
    }
	.elgg-search .search-input {
        font-size: 12px;
    }
	.elgg-search {
		width: 200px;
    }
	h1, .h1 {
        font-size: 25px;
    }
}
